Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 11 Jul 2021 01:45:09 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers This was the second time this happens to me, and I didn't get a clarification for this.
I have placed an order with the code Max100 before the check out and processeding with payment and I also have a gift voucher which i have entered at the last step along with my credit card information, I also checked on deducting my shukran balance of 15 Riyals and total was 377 Riyals. And to my surprise the order was canceled. And the amount I was charged 100 extra!!!!!!!! Meaning that both gift voucher and shukran balance wasn't deducted!!!!!!!!!

Totally unacceptable. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2822785